### Method

# EDataBook BookBackend set_view_indices

since: 3.50

#### Declaration [src]

    void
    e_book_backend_set_view_indices (
      EBookBackend* backend,
      gsize view_id,
      const EBookIndices* indices
    )

#### Description [src]

Stores current `indices` for the view identified by the `view_id` and, if such exists, notifies about it also the corresponding `EDataBookView`. The array is terminated by an item with chr member being `NULL`.

Note: This function should be used only with `E_BOOK_CLIENT_VIEW_FLAGS_MANUAL_QUERY` views.

Available since: 3.50

#### Parameters

`view_id`

  Type: `gsize`

  A view identifier.

`indices`

  Type: `EBookIndices`

  An array of `EBookIndices`, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.